summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRalph Giles <giles@xiph.org>2000-10-31 18:57:38 +0000
committerRalph Giles <giles@xiph.org>2000-10-31 18:57:38 +0000
commit37b3e34cfe80d88319aef254174adc84d4998344 (patch)
treef3a706dcf9de0877e81a0a0b2af042f0148acac6
parent52d8b23857a7dbcb69a0718ee82f61c57a4bb44a (diff)
downloadlibvorbis-git-37b3e34cfe80d88319aef254174adc84d4998344.tar.gz
propagating build system cleanup from other modules
svn path=/branches/branch_beta3/vorbis/; revision=866
-rwxr-xr-xautogen.sh61
-rw-r--r--configure.in2
2 files changed, 61 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 00000000..5d6b972f
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,61 @@
+#!/bin/sh
+# Run this to set up the build system: configure, makefiles, etc.
+# (based on the version in enlightenment's cvs)
+
+package="vorbis"
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+cd "$srcdir"
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoconf installed to compile $package."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have automake installed to compile $package."
+ echo "Download the appropriate package for your system,
+ echo "or get the source from one of the GNU ftp sites"
+ echo "listed in http://www.gnu.org/order/ftp.html"
+ DIE=1
+}
+
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool installed to compile $package."
+ echo "Download the appropriate package for your system,
+ echo "or get the source from one of the GNU ftp sites"
+ echo "listed in http://www.gnu.org/order/ftp.html"
+ DIE=1
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+if test -z "$*"; then
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
+fi
+
+echo "Generating configuration files for $package, please wait...."
+
+echo " aclocal $ACLOCAL_FLAGS"
+aclocal $ACLOCAL_FLAGS
+#echo " autoheader"
+#autoheader
+echo " libtoolize --automake"
+libtoolize --automake
+echo " automake --add-missing"
+automake --add-missing
+echo " autoconf"
+autoconf
+
+$srcdir/configure "$@" && echo
diff --git a/configure.in b/configure.in
index e7f8319f..72a84a05 100644
--- a/configure.in
+++ b/configure.in
@@ -156,10 +156,8 @@ dnl --------------------------------------------------
dnl Do substitutions
dnl --------------------------------------------------
-AC_SUBST(LIBS)
AC_SUBST(DEBUG)
AC_SUBST(PROFILE)
-AC_SUBST(CC)
AC_SUBST(pthread_lib)
AC_OUTPUT(Makefile lib/Makefile doc/Makefile doc/vorbisfile/Makefile include/Makefile include/vorbis/Makefile include/vorbis/book/Makefile examples/Makefile)